Groovy 1.7.6

## groovy.util
[Groovy] Class FileNameByRegexFinder

    java.lang.Object
      groovy.util.FileNameByRegexFinder

All Implemented Interfaces:
  IFileNameFinder

    class FileNameByRegexFinder
    extends Object

Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to regex conventions.

Authors:
  Dierk Koenig
  Paul King

Method Summary
`List` | `getFileNames(String basedir, String pattern)`
`List` | `getFileNames(String basedir, String pattern, String excludesPattern)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getFileNames

    List getFileNames(String basedir, String pattern)

### getFileNames

    List getFileNames(String basedir, String pattern, String excludesPattern)

Copyright © 2003-2010 The Codehaus. All rights reserved.